package cn.iocoder.yudao.module.order.vo.batchOrderFeeApply;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 批量订单费用申请查询 VO")
public class BatchOrderFeeApplyQueryVO {

    @ApiModelProperty(value = "编号")
    private String no;

    @ApiModelProperty(value = "状态：0 已取消 1 申请中 2 已通过 3 已驳回")
    private Integer state;

    @ApiModelProperty(value = "申请人(可以支持多个)")
    private List<Long> applicantList;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

    @ApiModelProperty(value = "创建人")
    private String creator;

}
